wnpa-sec-2020-05 · EAP dissector crash

Summary

Name: EAP dissector crash

Docid: wnpa-sec-2020-05

Date: February 26, 2020

Affected versions: 3.2.0 to 3.2.1, 3.0.0 to 3.0.8, 2.6.0 to 2.6.14

Fixed versions: 3.2.2, 3.0.9, 2.6.15

References:
Wireshark issue 16397
CVE-2020-9428

Details

Description

The EAP dissector could crash.

Impact

It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Resolution

Upgrade to Wireshark 3.2.2, 3.0.9, 2.6.15 or later.